ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From peter reilly <peter.rei...@corvil.com>
Subject Re: [PMC-VOTE] Ant 1.5.4
Date Tue, 12 Aug 2003 09:23:25 GMT
+1 

It builds fine for me.

./bootstrap.sh
./build.sh
export ANT_HOME `pwd`/dist
cd dist/bin
./ant -version

On Tuesday 12 August 2003 10:03, Paul Nasrat wrote:
> On Tue, Aug 12, 2003 at 09:09:27AM +0200, Stefan Bodewig wrote:
> > [It is the PMC's responsibility to ensure that our releases are OK, so
> > only PMC member votes are binding, that shouldn't stop anybody else
> > from speking her/his mind.]
>
> -1 doesn't build for me, though this could be me :(
>
> Building using jpackage spec, which runs boostrap and then I get:
>
> ...
> BUILD SUCCESSFUL
> Total time: 19 seconds
> ... Cleaning Up Build Directories
> ... Done Bootstrapping Ant Distribution
> Invalid implementation version between Ant core and Ant optional tasks.
>  core    : 1.5.3
>  optional: 1.5.4
>
> Which seems odd, calling ant (1.5.3 jpackage) or ./bootstrap/bin/ant
> work. Output via sh -x:
>
> + test '!' -f bootstrap/lib/ant.jar -o '!' -x bootstrap/bin/ant -o '!'
> -x bootstrap/bin/antRun
> +
> LOCALCLASSPATH=lib/xercesImpl.jar:lib/xml-apis.jar:bootstrap/lib/ant.jar
> + DIRLIBS=lib/optional/*.jar
> + '[' 'lib/optional/*.jar' '!=' 'lib/optional/*.jar' ']'
> + false
> +
> CLASSPATH=lib/xercesImpl.jar:lib/xml-apis.jar:bootstrap/lib/ant.jar:/usr/sh
>are/java/jaxp_parser_impl.jar:/usr/share/java/xml-commons-apis.jar:/usr/shar
>e/java/antlr.jar:/usr/share/java/bcel.jar:/usr/share/java/jaf.jar:/usr/share
>/java/javacc.jar:/usr/share/java/javamail/mailapi.jar:/usr/share/java/junit.
>jar:/usr/share/java/log4j.jar:/usr/share/java/netcomponents.jar:/usr/share/j
>ava/oro.jar:/usr/share/java/regexp.jar:/usr/share/java/xml-commons-apis.jar:
>/usr/share/java/xalan-j2.jar + false
> + export CLASSPATH
> + '[' bootstrap '!=' '' ']'
> + ANT_INSTALL=-Dant.install=bootstrap
> + bootstrap/bin/ant -emacs -Dant.install=bootstrap jars
> Invalid implementation version between Ant core and Ant optional tasks.
>  core    : 1.5.3
>  optional: 1.5.4
>
> Paul
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
> For additional commands, e-mail: dev-help@ant.apache.org


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message